Generate a new SAS link for the projectId, environment and containerName combination. The generated link is valid for 24 hours by default if not requested by user (retention hours) otherwise.
1 min
POST
https://paasportal.episerver.net/api/v1.0/projects/{projectId}/environments/{environment}/storagecontainers/{containerName}/saslink
projectIdstring<uuid>Project identifier
environmentstringName of the environment
containerNamestringName of the blob storage container
acceptstringGenerated from available response content types
bodyobjectRequest parameters that includes RetentionHours
200OK
400BadRequest
401Unauthorized
404NotFound
500InternalServerError
curl --request POST \
--url https://paasportal.episerver.net/api/v1.0/projects/{projectId}/environments/{environment}/storagecontainers/{containerName}/saslink \
--header 'accept: application/json'